#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14

m = metamodel.Model()
id = m.__XMIid__()

print id
assert(id[:4] == "DCE:")
assert(id[-12:] != "000000000000")

id = "foo000000000000"
assert(id[-12:] == "000000000000")
